/*
 * skillExplore.hpp
 *
 *  Created on: 17/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_SKILL_VICTIMCOLLECT_HPP_
#define VICTIMID_SKILL_VICTIMCOLLECT_HPP_

#include "victim_id/skill.hpp"
#include "victim_id/victimId.hpp"

namespace casualty {

class VIDSkillVictimCollect : public VicIdSkill {
public:
    VIDSkillVictimCollect() :
        VicIdSkill("sk_victim_collect"),
        id(0),
        victimPosRobot(0,0,0),
        blobImg(NULL),
        colourImg(NULL),
        distanceImg(NULL)
    {};
    ~VIDSkillVictimCollect() {};

    void start();
    void stop();
    bool equals(VicIdSkill& skOther);

    // Ros Publisher
    ros::Publisher* snapsPub;

    // Data to save to snap
    // Data should be based on the ICP frame
    int id;
    Pose robotPoseIcp;
    Point3D victimPosRobot;
    ImagePtr blobImg;
    ImagePtr colourImg;
    ImagePtr distanceImg;
    ImagePtr qrImg;

private:
};
typedef crosbot::Handle<VIDSkillVictimCollect> VIDSkillVictimCollectPtr;

} // namespace casualty

#endif /* VICTIMID_SKILL_VICTIMCOLLECT_HPP_ */
